#include<iostream>
#include<vector>
#define MAX 10000000
using namespace std;
int erat[MAX+1];
vector <int> primes;
long long int sump (long long int& num, int p) {
    long long int curr=p;
    for (;;) {
        if (num%p!=0) break;
        num/=p;
        curr*=p;
    }
    return (curr-1)/(p-1);
}
int main () {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    for (int i=2; i*i<=MAX; i++) {
        if (erat[i]!=0) continue;
        for (int j=i*i; j<=MAX; j+=i) {
            erat[j]=i;
        }
    }
    primes.reserve(MAX/10);
    for (int i=2; i<=MAX; i++) {
        if (erat[i]!=0) continue;
        erat[i]=i;
        primes.push_back(i);
    }
    int q;
    cin >> q ;
    for (int i=0; i<q; i++) {
        long long int num;
        cin >> num ;
        long long int ans=1;
        if (num>MAX) {
            for (auto p : primes) {
                //if (p*1LL*p>num) break;
                if (num%p!=0) continue;
                ans*=sump(num,p);
                if (num<=MAX) break;
            }
        }
        if (num<=MAX) {
            for (;;) {
                if (num==1) break;
                ans*=sump(num,erat[num]);
            }
        }
        if (num!=1) ans*=(1+num);
        cout << ans << "\n";
    }
    return 0;
}
